#ifdef CASIO_QV10

#include "config.h"
#include <stdio.h>
#include <sys/types.h>
#include "tty.h"
#include <termios.h>
#include <unistd.h>

void	Exit(int);

int
checksum(u_char addr, u_char *cp, int len)
{
    int ret = addr;
    while(len --)
	ret = ret + (*cp++);
    return  0x100-(ret & 0xff);
}

void 
sendcommand(u_char *p, int len)
{
    wbyte(5);
    wstr(p, len);
    wbyte(6);
}

void
Abort()
{
    u_char buf[4];
    buf[0] = 5;
    buf[1] = 'Q';
    buf[2] = 'R';
    buf[3] = 6;
    wstr(buf, 4);
}  

int
recvdata(u_char *p, int len)
{
    rstr(p,len);
    return 0;
}

/*------------------------------------------------------------*/

int
CamReset()
{
    u_char buf[3];
retryreset:
    buf[0] = 'Q';
    buf[1] = 'R';
    sendcommand(buf, 2);
    recvdata(buf, 2);
    if((buf[0] == 6 ) || (buf[1] != 0x5c))
	goto retryreset;
    return 0;		/*ok*/
}

int
CamOk()
{
    int i = 2;
    int j;

    while(i--){
	printf("helu\n");
	wstr("QR\n",4);
/*	wbyte(5);
 */	
	if ((j = rbyte()) == 6)
	    return 0;
	printf("it: %d\n",j);
    }
    return -1;   
}

int
CamStatus(int verbose)
{
    return 0;		/*ok*/
}

int
CamHowmany()
{
    u_char s;
    u_char n;
    int retrycount = 2;

    while(retrycount--){
	if (CamOk() < 0)
	    return -1;                /*ng*/
	wstr("MP", 2);
	s = rbyte();                /*supposed to be 0x62 */
	if(s == 0x62)
	   break;
    }
    wbyte(6);
    n = rbyte();                  /*# of pictures*/
    return n; 
}

#endif
